Firefox 58 won't open


#1

Firefox dosn’t start after update.


And now?

Regards Steffen


Problem with Firefox after updating: XML Parsing Error: undefined entity
[Testing Update] 2018-02-14 - Kernels, Plasma, KDE Framework, Themes
[Stable Update] 2018-01-29 - Kernels, Mesa, Xorg-Server, Browsers, MSM, MHWD, GCC
[Stable Update] 2018-01-29 - Kernels, Mesa, Xorg-Server, Browsers, MSM, MHWD, GCC
[Testing Update] 2018-02-08 - Kernels, Browsers, Plasma, GCC, Nvidia, Systemd
[Testing Update] 2018-02-09 - KDE Apps, LibreOffice, Fixed WLAN issues of v4.15
[Testing Update] 2018-02-15 - Kernels, Firefox Dev, Bluez, Haskell, Python
[Stable Update] 2018-02-17 - Kernels, KDE, MATE, Firefox, LibreOffice, Mesa, Systemd
[Unstable Update] 2018-02-17 - QT 5.10.1, Firefox, Deepin, Haskell, Python
[Stable Update] 2018-02-20 - Kernels, Mesa, KDE fixes, Driver fixes
[Testing Update] 2018-02-21 - Plasma, QT5, Kernel v4.16, Mesa, LibDRM, Haskell, Python
[Testing Update] 2018-02-22 - MHWD, NVIDIA, Hybrid Graphic Setup
[Testing Update] 2018-02-23 - Kernels, Systemd, Haskell, Python
[Stable Update] 2018-02-25 - Kernels, Plasma, Mesa, Systemd, QT5, Browsers
[Stable Update] 2018-03-05 - Kernels, Browser, VirtualBox, QT5, Haskell, Python
[Stable Update] 2018-03-07 - Kernels, LibreOffice, XFCE-Compiz, Haskell, Python
[Stable Update] 2018-03-14 - Kernels, Browsers, KDE, Vulkan, Python, Haskell
[Testing Update] 2018-02-13 - Kernels, LibreOffice, Systemd, Firefox Dev
[Testing Update] 2018-02-02 - VLC Nightly, Architect, PHP7, Themes
[Stable Update] 2018-01-29 - Kernels, Mesa, Xorg-Server, Browsers, MSM, MHWD, GCC
[Stable Update] 2018-02-03 - Kernels, LibreOffice, Browsers, Thunderbird, PHP, Haskell
[Testing Update] 2018-02-08 - Kernels, Browsers, Plasma, GCC, Nvidia, Systemd
#2

This is normally an extension issue.


#3

I got the same error as @steffen. When I remove the profiles directory, firefox creates a new profile (without any add-ons), and it still does not start. Any ideas how to solve this?


#4

Re Firefox: You need the up-to-date i18n packages!


#5

I removed the kde-i18n-en-us language pack (57.0-1) and installed the new version (58.0.1). No effect, still does not start.

image


#6

So you’ve been using firefox-kde until its removal?
Hmm… the updated language pack fixed the problem for me, already a week ago in my trials for firefox-kde.
Do you have any other packs installed? (pacman -Qs firefox)


#7

Hi, no other language packs installed. Just removed firefox, reinstalled it, still no go.

[plotters@henp bin]$ pacman -Qs firefox
local/firefox 58.0-1
Standalone web browser from mozilla.org
local/firefox-i18n-en-us 58.0-1
English (US) language pack for Firefox


#8

My FF 58 cannot load, refuses to start. Pops up a is gone within a second.

I installed it alongside ESR, maybe that was a mistake? I used Pamac.

Now I removed ESR.

Still, no go.


#9

Are your addons up-to-date?
What happens when you start in safe mode?

Could you remove both packages with pacman -R and reinstall them, then start Firefox from terminal and look at the output?

Also post output of ls -l /usr/lib/firefox/browser/extensions/langpack-*


#10

Thanks, I refreshed firefox, now it works.

firefox --safe-mode


#11

@korbenPL, can you try the same for your FF issue?


#12

Working as expected.

Thank you guys


#13

I refreshed firefox -> no go:


#14

You do have the german language pack for 58.0 installed?


#15

This is what I want to write in this moment! Now it works.
I removed the firefox kde 57 package and installed the german firefox 58 package.

Thanks!
Steffen


#16

Great!

To recap for other users:

The language pack version (firefox-i18n-*) must match the Firefox version to avoid trouble.
If unsure, remove all Firefox packages on your system, and reinstall them again.

It seems that some users still had the old langpacks for firefox-kde which is not in the official repos anymore.


#17

The build for these takes seconds - if you want to include them in your repo have a look at the PKGBUILD.

Although - I’m not sure why the repo language package wouldn’t work… :thinking:


#18

They’re already in there :wink:

Yes, they’re exactly the same except the name.
I think former firefox-kde users also had the relevant firefox-kde-i18n package installed, but that one wasn’t updated to 58.0 obviously and so stayed at 57.0.x


#19

Faced the same problem after update. Uninstalling the language pacakge firefox-k-de-i18n and installing the latest one worked! Thanks.

Bit surprised about one thing. The language package for v57 was from AUR repo. I had to uninstall that install the v58 from manjaro repo. Not sure why the earlier update of firefox installed the package from aur and not from community-repo. :thinking:


#20

You are correct, varunsbhatta, with the uninstall of the language-pack from aur.
I had the same problem yesterday. After uninstall the AUR-Package ( firefox-kde-i18n) my Firefox run again. And after install the package (firefox-i18n-de-58.0.1-0-any) it runs germanelly again.
Thanks for your support.